GDB (xrefs)

Classes | Macros | Functions | Variables
/tmp/gdb-8.1/gdb/proc-why.c File Reference
`#include "defs.h"`
`#include <sys/types.h>`
`#include <sys/procfs.h>`
`#include "proc-utils.h"`

Go to the source code of this file.

## Classes
struct | trans

## Macros
#define | _STRUCTURED_PROC 1

## Functions
void | proc_prettyfprint_why (FILE *file, unsigned long why, unsigned long what, int verbose)
void | proc_prettyprint_why (unsigned long why, unsigned long what, int verbose)

## Variables
static struct trans | pr_why_table []

## Macro Definition Documentation

## ◆ _STRUCTURED_PROC

#define _STRUCTURED_PROC 1

Definition at line 23 of file proc-why.c.

## Function Documentation

## ◆ proc_prettyfprint_why()

void proc_prettyfprint_why | ( | FILE * | file,
|  | unsigned long | why,
|  | unsigned long | what,
|  | int | verbose
| ) |  |

Definition at line 63 of file proc-why.c.

References trans::desc, name, pr_why_table, proc_prettyfprint_fault(), proc_prettyfprint_signal(), and proc_prettyfprint_syscall().

Referenced by proc_prettyfprint_status(), and proc_prettyprint_why().

## ◆ proc_prettyprint_why()

void proc_prettyprint_why | ( | unsigned long | why,
|  | unsigned long | what,
|  | int | verbose
| ) |  |

Definition at line 111 of file proc-why.c.

References proc_prettyfprint_why().

Referenced by do_attach(), procfs_info_proc(), and procfs_wait().

## Variable Documentation

## ◆ pr_why_table

struct trans pr_why_table[]
| static

Initial value:
=
{
{ PR_REQUESTED, "PR_REQUESTED",
"Directed to stop by debugger via P(IO)CSTOP or P(IO)CWSTOP" },
{ PR_SIGNALLED, "PR_SIGNALLED", "Receipt of a traced signal" },
{ PR_SYSENTRY, "PR_SYSENTRY", "Entry to a traced system call" },
{ PR_SYSEXIT, "PR_SYSEXIT", "Exit from a traced system call" },
{ PR_JOBCONTROL, "PR_JOBCONTROL", "Default job control stop signal action" },
{ PR_FAULTED, "PR_FAULTED", "Incurred a traced hardware fault" },
{ PR_SUSPENDED, "PR_SUSPENDED", "Process suspended" },
{ PR_CHECKPOINT, "PR_CHECKPOINT", "Process stopped at checkpoint" },
}

Definition at line 46 of file proc-why.c.

Referenced by proc_prettyfprint_why().